Skip navigation
Currently Being Moderated

Can't open Flash Builder - "See the log file" error.

Jun 22, 2011 5:58 AM

I have been using Flash Builder 4.5 and for some reason it has stopped opening correctly - I get the following error then it just shuts down.... :

 

"An error has occured. See the log file."

 

and if i check the log file it refers to then i see the following text:

 

!SESSION 2011-06-22 13:53:43.658 -----------------------------------------------
eclipse.buildId=M20100909-0800
java.version=1.6.0_16
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Command-line arguments:  -os win32 -ws win32 -arch x86

!ENTRY org.eclipse.osgi 4 0 2011-06-22 13:53:59.598
!MESSAGE Application error
!STACK 1
org.eclipse.swt.SWTError: No more handles
    at org.eclipse.swt.SWT.error(SWT.java:4109)
    at org.eclipse.swt.SWT.error(SWT.java:3998)
    at org.eclipse.swt.SWT.error(SWT.java:3969)
    at org.eclipse.swt.widgets.Widget.error(Widget.java:468)
    at org.eclipse.swt.widgets.Control.createHandle(Control.java:633)
    at org.eclipse.swt.widgets.Composite.createHandle(Composite.java:305)
    at org.eclipse.swt.widgets.Control.createWidget(Control.java:649)
    at org.eclipse.swt.widgets.Scrollable.createWidget(Scrollable.java:134)
    at org.eclipse.swt.widgets.Control.<init>(Control.java:110)
    at org.eclipse.swt.widgets.Scrollable.<init>(Scrollable.java:75)
    at org.eclipse.swt.widgets.Composite.<init>(Composite.java:95)
    at org.eclipse.ui.splash.BasicSplashHandler.getBundleProgressMonitor(Bas icSplashHandler.java:159)
    at org.eclipse.ui.splash.BasicSplashHandler.getContent(BasicSplashHandle r.java:265)
    at org.eclipse.ui.internal.splash.EclipseSplashHandler.init(EclipseSplas hHandler.java:86)
    at org.eclipse.ui.internal.Workbench$8.run(Workbench.java:782)
    at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
    at org.eclipse.ui.internal.Workbench.createSplashWrapper(Workbench.java: 798)
    at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2467)
    at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:2438)
    at org.eclipse.ui.internal.Workbench$7.run(Workbench.java:671)
    at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.ja va:332)
    at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.jav a:664)
    at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
    at com.adobe.flexbuilder.standalone.FlashBuilderApplication.start(FlashB uilderApplication.java:108)
    at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandl e.java:196)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runAppli cation(EclipseAppLauncher.java:110)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(Ec lipseAppLauncher.java:79)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.ja va:369)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.ja va:179)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:619)
    at org.eclipse.equinox.launcher.Main.basicRun(Main.java:574)
    at org.eclipse.equinox.launcher.Main.run(Main.java:1407)

 

This is incredably frustrating as you can imagine as it effectively means i cant work anymore, it is clearly some kind of problem with eclipse but i have no idea what.

 

I have tried re-installing Flash Builder twice and no luck.

 

Can anyone help with this???

 

Thanks !!!!

 

Elliot.

 
Replies
  • Currently Being Moderated
    Jun 24, 2011 7:22 AM   in reply to elliot_flashtalking

    Sorry ahead of time, this probably isn't much help... I think I had something similar on my Mac, where I couldn't run 4.5. I also could not run the stand alone Eclipse. I ended up rebuilding my system, which wasn't fun, but definitely refreshing. My mac is all zippy now.

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 15, 2011 6:28 AM   in reply to elliot_flashtalking

    I don't have the luxury of rebuilding my system as it is a network server and I am having the same error.  Has anyone from Adobe been able to assist you?

     
    |
    Mark as:
  • Currently Being Moderated
    May 17, 2012 9:27 PM   in reply to jpeal

    I have this same problem. It sucks adobe cant be bothered to respond to such a serious flaw in their product. I actually had this issue with Flashbuilder 4.5, now since 4.6 came out, everything was working fine. Then i upgraded to the latest flash debug player and now 4.6 hangs on startup. No error or anything, it just sits their until i force quit it on my mac.

     
    |
    Mark as:
  • Currently Being Moderated
    Jun 14, 2012 4:08 AM   in reply to J-Williams2

    There is a similar thread with exact same stackstrace and problmes reported with earlier verison of FB. You can check it here http://forums.adobe.com/thread/832073. Thre is also representation of Adobe engineers on this thread. Aprarenlty there are certain updates(Eclipse / java) that FB doen't encourage, post FB is installed in stanadlone mode and workarounds are suggested on this thread to overcome this problem. If you are workign in plugin environment with FB, I guess updates are not affecting FB installtion. Please try out the solutions presented on this thread and let us know.

     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points